import os
import random as rnd
import string

# Генератор названий файлов
def generate_filename(l):
    return ''.join(rnd.choices(string.ascii_lowercase + string.digits, k=l)) + '.txt'

def generate_files(dir, num_files, num_lines):
    # Если директории для сохранения файлов нет - создаём
    if not os.path.exists(dir):
        os.makedirs(dir)

    # Если директория для сохранения файлов не пустая - завершаем работу
    if os.listdir(dir):
        return

    # Создание файлов
    for i in range(num_files):
        filename = generate_filename(20)
        filepath = os.path.join(dir, filename)

        file = open(filepath, "w")
        # Запись строк в файл
        for j in range(num_lines):
            file.write(f"{rnd.randint(-1000, 1000)}\n")
        file.close()

if __name__ == "__main__":
    generate_files('/var/data', 50, 50)