﻿using DSaC.Models.DTOs;
using MediatR;
using System.ComponentModel.DataAnnotations;

namespace DSaC.Models.Internal.Сommands
{
    public class UpdateCounterpartyCommand: IRequest<ResponseModel<CounterpartyViewDto>>
    {
        public Guid Id { get; set; }

        [Required(ErrorMessage = "UpdateMessageMust be present")]
        public CounterpartyViewDto Model { get; set; } = null!;
    }
}
