import os

# Вариант 2 - Формирует файл /var/result/data.txt из первых строк всех файлов каталога /var/data.
def solve(dir_files, dir_result, filename_result):
    # Получаем список файлов в директории
    filenames = os.listdir(dir_files)
    result = ''
    # Проходим через каждый файл
    for filename in filenames:
        filepath = os.path.join(dir_files, filename)
        file = open(filepath, "r")
        # Читаем первую строку, добавляем к результату
        result += f"{file.readline()}"
        file.close()

    # Если директории для сохранения результата нет - создаём
    if not os.path.exists(dir_result):
        os.makedirs(dir_result)
    # Если директория с результатом не пустая - завершаем работу
    if os.listdir(dir_result):
        return
    # Пишем результат в файл
    filepath_result = os.path.join(dir_result, filename_result)
    result_file = open(filepath_result, "w")
    result_file.write(result)
    print(f"Результат записан в файл {filepath_result}")
    result_file.close()

if __name__ == "__main__":
    solve('/var/data', '/var/result', 'data.txt')